<!DOCTYPE HTML>

<html xml:lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.thymeleaf.org ">

<head>
    <title>Home Header</title>
    <meta name="viewport" content="width=device-width">
</head>

<body>
    <header th:fragment="header">
        <div class="top">
            <div id="title-cont">
                <img id ="img_logo" src="/images/Logo_Mondragon_Unibertsitatea.png" alt="Mondragon Unibertsitatea logo" class="d-inline-block align-text-top">
                <h1 class="navbar-brand">MUFISH</h1>
            </div>
            

            <div class="user-logout-language">
                <div class="dropdown" th:fragment="language">
                    <div class="dropdown-content">
                        <a href="/language?lang=esp">ESP</a>
                        <a href="/language?lang=eus">EUS</a>
                        <a href="/language?lang=eng">ENG</a>
                    </div>
                    <div class="lang" th:switch="${session.lang}">
                        <img th:case="eng" id="img_flag" src="/images/uk_flag.jpg" alt="UK flag">
                        <img th:case="esp" id="img_flag" src="/images/esp_flag.jpg" alt="ESP flag">
                        <img th:case="eus" id="img_flag" src="/images/eus_flag.jpg" alt="EUS flag">
                    </div>
                </div>

                <div class="user">
                    <img src="/images/profile_img.png" alt="User profile photo" id="img_user">
                    <span th:text="${session.user.username}"></span> 
                </div>

                <a id="bLogout" href="/logout"><img id="img_logout" src="/images/logout_icon.png" alt="Logout icon" class="img_icon"></a>
            </div>
        </div>

        <nav id="nav">
            <a href="/home" class="nav-item" id="home" onclick="_paq.push(['trackEvent', 'Home', 'Home Clicked', 'Home']);">HOME</a>
            <a href="/mapa" class="nav-item" id="ship" onclick="_paq.push(['trackEvent', 'Ship Map', 'Ship Map Clicked', 'Ship Map']);">SHIP MAP</a>
            <a href="/bookZone" class="nav-item" id="book" onclick="_paq.push(['trackEvent', 'Bookings', 'Bookings Clicked', 'Bookings']);">BOOKINGS</a>
            <a href="/receivedMessages" class="nav-item" id="notif" onclick="_paq.push(['trackEvent', 'Notifications', 'Notifications Clicked', 'Notifications']);">NOTIFICATIONS</a>
        </nav>
    </header>
</body>

</html>